from flask import Flask, request, Response

#HTTP_METHODS = ['GET', 'HEAD', 'POST', 'PUT', 'DELETE', 'CONNECT', 'OPTIONS', 'TRACE', 'PATCH']

#app = Flask(__name__)

#@app.route("/onvif/device_service", methods=HTTP_METHODS)
#def remote_controller():
#    print(type(request.headers.get('Content-Type')))
#    print(request.data)
#    return Response(request.data, mimetype='application/soap+xml')
import argparse

from utils.onvif_classes import Proccesser

def main():
    parser = argparse.ArgumentParser(description='Insert port, conf_path, cam_num, sub_instance_list_path')
    parser.add_argument(
        '--ip',
        type=str,
        help='IP of host'
    )
    parser.add_argument(
        '--port',
        type=str,
        help='Port for instance'
    )
    parser.add_argument(
        '--conf_path',
        type=str,
        help='Path to conf file'
    )
    parser.add_argument(
        '--cam_num',
        type=str,
        help='Camera number (1, 2, 3, ...)'
    )
    input = parser.parse_args()

    app = Proccesser("API_", input.ip, input.port, input.conf_path, input.cam_num)
    app.run()

#python .\onvif-proxy\flask-app\main.py --ip 192.168.1.71 --port 80 --conf_path "C:\Users\andre\PycharmProjects\OnvifProxyFlask\onvif-proxy\flask-app\utils\conf.json" --cam_num 1

if __name__ == "__main__":
    main()